package org.ntlab.acanthus_client.views.paint;

import org.ntlab.acanthus_client.Acanthus;
import org.ntlab.acanthus_client.entities.Page;
import org.ntlab.acanthus_client.resources.gallery.PagesRest;
import org.ntlab.acanthus_client.views.paint.models.InvitesConnectionModel;
import org.ntlab.acanthus_client.views.paint.models.PageConnectionModel;
import org.ntlab.acanthus_client.views.paint.models.PageOperationModel;
import org.ntlab.acanthus_client.views.paint.models.PaintConnectionModel;

//-----------------------------------------------------------------
//　各種モデルの保持者
public class PaintModelContainer {
    private PaintConnectionModel paintConnectionModel;
    private InvitesConnectionModel invitesConnectionModel;
    private PageConnectionModel pageConnectionModel;
    private PageOperationModel pageOperationModel;

    //-----------------------------------------------------------------
    //-----------------------------------------------------------------
    //　
    public PaintModelContainer(Acanthus acanthus) {
        this.paintConnectionModel = new PaintConnectionModel(acanthus);
        this.invitesConnectionModel = new InvitesConnectionModel(acanthus);
        this.pageConnectionModel = new PageConnectionModel(acanthus);
        this.pageOperationModel = new PageOperationModel(acanthus);
    }

    //-----------------------------------------------------------------
    // getter
    public PaintConnectionModel getPaintConnectionModel() {
        return this.paintConnectionModel;
    }

    public InvitesConnectionModel getInvitesConnectionModel() {
        return invitesConnectionModel;
    }

    public PageConnectionModel getPageConnectionModel() {
        return pageConnectionModel;
    }

    public PageOperationModel getPageOperationModel() {
        return pageOperationModel;
    }
    //-----------------------------------------------------------------
}
